aboutsummaryrefslogtreecommitdiff
path: root/build-aux/ci/git-post-receive.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-22 15:09:09 -0300
committerEuAndreh <eu@euandre.org>2021-01-22 15:14:25 -0300
commit64d08c19b4dd077ded07250e76c581cda7c99c18 (patch)
tree8590750645b66f81883d1a015be377fea984f236 /build-aux/ci/git-post-receive.sh
parentAdd build-aux/assert-shellcheck.sh and run in "check" target (diff)
downloadremembering-64d08c19b4dd077ded07250e76c581cda7c99c18.tar.gz
remembering-64d08c19b4dd077ded07250e76c581cda7c99c18.tar.xz
Add build-aux/ci/
Diffstat (limited to '')
-rwxr-xr-xbuild-aux/ci/git-post-receive.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/build-aux/ci/git-post-receive.sh b/build-aux/ci/git-post-receive.sh
new file mode 100755
index 0000000..2f6e3c0
--- /dev/null
+++ b/build-aux/ci/git-post-receive.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+for n in $(seq 0 $((GIT_PUSH_OPTION_COUNT - 1))); do
+ opt="$(eval "echo \$GIT_PUSH_OPTION_$n")"
+ if [ "$opt" = skip-ci ] || [ "$opt" = ci-skip ]; then
+ printf "\n'%s' option detected, not running ci-build.sh\n\n" "$opt"
+ exit 0
+ fi
+done
+
+PACKAGE="$(basename "$PWD" | cut -d. -f1)" # remove .git suffix
+LOGS_DIR="/data/ci/$PACKAGE/logs"
+"/data/ci/$PACKAGE/ci-build.sh" "$PACKAGE" "$LOGS_DIR"